Geomag Algorithms
=================
[![Build Status](https://travis-ci.org/usgs/geomag-algorithms.svg?branch=master)](https://travis-ci.org/usgs/geomag-algorithms)


Geomag algorithms includes tools to fetch, process, and output geomag data.


## Getting Started

### [Install](./docs/install.md)
First time install. Walk through dependencies and other considerations.

Document: [/docs/install.md](./docs/install.md)


### [Command Line Usage](./docs/usage.md)
Details and examples for proper usage. Get started quickly.

Basic usage:

  - Use the main script, `geomag.py -h`
  - In python scripts, `import geomagio`

Document: [/docs/usgage.md](./docs/usage.md)


### [Python API](./docs/api.md)
API Overview and examples for using the geomag-algorithms project in python.

Document: [/docs/api.md](./docs/api.md)


### [Develop](./docs/develop.md)
Development dependencies discussed here. Project is built with Grunt and Node
and is written primarily in Python 2.7.

Document: [/docs/develop.md](./docs/develop.md)


## Supported Formats

- [Edge](./docs/io.md#Edge)
- [IAGA2002](./docs/io.md#IAGA2002)
- [IMFV283 (Input only)](./docs/io.md#IMFV283)
- [PCDCP](./docs/io.md#PCDCP)


## Supported Algorithms

- [DeltaF](./docs/algorithms/DeltaF_usage.md)
- [SqDist](./docs/algorithms/SqDist_usage.md)
- [XYZ](./docs/algorithms/XYZ_usage.md)
